#!/usr/bin/gnuplot

deg = pi/180.
rad = 180./pi

set term x11

set xl "a_p [AU]"
set yl "e_p"
set zl "sin I_p"

set ticslevel 0
set key
set view 90,0

f_(H) = 2.*(0.1 + (H-17.)/(6.-17.)*1.5)

sp \
   "family.list_450" u 36:37:38 w p t "450",\
   "family.list_450" u 23:22:(sin($21*deg)) w p t "osculating" ls 3,\
   "family.label"    u 36:37:38:34 w labels center not
pa -1

set term post eps enh color solid "Helvetica" 18
set out "aei_osc.eps"
rep

q
   "family.list_450" u 36:37:(asin($38)*rad) w p t "450",\
   "family.list_450" u 23:22:21 w p t "osculating" ls 3,\
   "family.label"    u 36:37:(asin($38)*rad):34 w labels center not

